* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Body and general settings flex*/
html {
  height: 100%;
}

html, body {
  /* font for the entire program */
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;

  line-height: 1.6;
  background-color: #ffffff;
  color: #333;

  min-height: 100%;
}

body {
  position: relative;
  padding-bottom: 96px;
}


/* Container for layout */
.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

p { 

  max-width: 70ch;
  text-wrap: pretty;
}

/* Header */
header {
  background-color: #222;
  color: #fff;
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 1000;
}

header > .container {
  height: 96px;
}

header a {
  white-space: nowrap;
}

header input[type="checkbox"] {
  display: none;
}

.header-container {
  display: flex;
  justify-content: space-between; /* Pushes logo left, nav right */
  align-items: center;            /* Aligns vertically in the center */
}

.logo {
  font-size: 32px;
  font-weight: bold;
  text-decoration: none;
  color: #ffffff;
}

.logo-transform:hover {

  transform: scale(1.09);
  opacity: 0.9;
}

nav {
  flex-grow: 1;
  display: flex;
  justify-content: flex-end;  /* Forces the menu to the extreme right */
  align-items: center;
  gap: 20px;
}

nav ul {
  display: contents;
  list-style: none;
}

nav ul li {
  display: contents;
}

nav ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 18px;
  transition: color 0.3s ease;
}

nav ul li a:hover {
  color: #00bcd4;
}

#menu-button {
  display: none;
}

@media (width <= 720px) {
  nav {
    position: absolute;

    top: 96px;
    inset-inline: 0;
    
    padding: 20px 24px;
    
    background-color: #222;

    flex-direction: column;
    align-items: start;
    gap: 8px;

    border-top: 1px solid #333;
    clip-path: inset(0 0 100% 0);
    transition: clip-path 100ms ease-out;
  }

  nav li a {
    padding-block: 8px;
  }

  input[type="checkbox"]#menu-toggle:checked + nav {
    clip-path: inset(0 0 0 0);
  }
  
  #menu-button {
    display: block;
  }
}

/* Main Sections */
main {
  padding: 40px 20px;
  flex: 1;
}

.section-content {
  text-align: center;
  margin-bottom: 60px;
}

.section-content h2 {
  font-size: 36px;
  margin-bottom: 2px;
  color: #222;
}

.section-content p {
  font-size: 18px;
  color: #666;
}

/* Services List */
#Services ul {
  display: grid;
  margin-top: 20px;
  gap: 10px;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  list-style-type: none;
  padding: 0px;
}


@media (width <= 480px) {
  #Services ul {
    grid-template-columns: 1fr;
  }
}

#Services ul li {
  display: contents;
  font-size: 18px;
  text-align: center;
}

/* Footer */
footer {
  position: absolute;
  bottom: 0;
  background-color: #222;
  color: #fff;
  text-align: center;
  width: 100%;
  margin-top: auto;
}

.footer-content {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 96px;
  gap: 40px;
  font-size: 16px;
}


@media (width <= 720px) {
  body {
    padding-bottom: 136px;
  }

  .footer-content {
    flex-direction: column-reverse;
    gap: 20px;
    height: auto;
    padding-block: 20px;
  }
}

.footer-content a {
  color: #fff;
  margin-top: 10px;
  font-size: 24px;
  text-decoration: none;
}

.footer-content a:hover {
  color: #00bcd4;
}

.fancy-dialog {
  background: linear-gradient(135deg, #e0f7fa, #ffffff);
  border: 2px solid #00bcd4;
  border-radius: 15px;
  padding: 30px;
  margin-top: 20px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
  font-size: 18px;
  color: #333;
  line-height: 1.8;
  position: relative;
}

.highlight-circle {
  display: inline-block;
  padding: 10px 20px;
  border: 3px solid #00bcd4;
  border-radius: 50px;
  background-color: #e0f7fa;
  color: #222;
  transition: all 0.6s ease;
}

.service-btn {
  display: flex; /*stacks vertically */
  align-items: center;
  justify-content: center;
  padding: 12px 24px;
  height: 150px;
   /*Centers button horizontally */
  text-decoration: none; /*This will remove the underline */
  font-size: 18px;
  font-weight: bold;
  border: none;
  border-radius: 8px;
  color: white;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
}


/* Different button colors */
.integration-btn {
  background-color: #007BFF; /* Blue */
}

.mobileapp-btn {
  background-color: #28A745; /* Green */
}

.datamigration-btn {
  background-color: #FFC107; /* Yellow */
  color: #222; /* Dark text because yellow background */
}

.itsm-btn {
  background-color: #DC3545; /* Red */
}

.website-btn {
  background-color:#666;
}

.support-btn {
  background-color: black;
}


/* Hover effect for all buttons */
.service-btn:hover {
  transform: scale(1.05);
  opacity: 0.9;
}



.talk-to-button-btn {
  display: inline; /*stacks vertically */
  padding: 12px 24px;
  margin: 25px auto; /*Centers button horizontally */
  text-decoration: none; /*This will remove the underline */
  font-size: 18px;
  font-weight: bold;
  border: none;
  border-radius: 8px;
  color: white;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
  text-wrap: pretty;
}


.talk-integration {
  background-color: #007BFF; /* Blue */
}

.talk-mobileapp-btn {
  background-color: #28A745; /* Green */
}

.talk-datamigration-btn {
  background-color: #FFC107; /* Yellow */
  color: #222; /* Dark text because yellow background */
}

.talk-itsm-btn {
  background-color: #DC3545; /* Red */
}

.talk-website-btn {
  background-color:#666;
}

.talk-support-btn {
  background-color: black;
}

.talk-industries-btn {
  background-color: orange;
  color: black;
}

.talk-mainpage-btn {
  background-color: #28A745;
  color: white;
  display: inline; /*stacks vertically */
  padding: 12px 24px;
  margin: 25px auto; /*Centers button horizontally */
  text-decoration: none; /*This will remove the underline */
  font-size: 18px;
  font-weight: bold;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
  text-wrap: pretty;
}

/* Hover effect for all buttons */
.talk-to-button-btn:hover {
  transform: scale(2.05);
  opacity: 0.9;
}

/* Hover effect for all buttons */
.talk-mainpage-btn:hover {
  transform: scale(2.05);
  opacity: 0.9;
}



/*Contact info page */

.contact-container {
  background: #fff;
  padding: 60px;
  width: 100%;
  max-width: 800px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
  border-radius: 16px;
  text-align: center;
  font-family: 'Montserrat', sans-serif;
  margin-left: auto;
  margin-right: auto;
  
}

.contact-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh; /* Full viewport height */
  background-color: #f0f0f0; /* Optional: background for contrast */
  padding: 40px; /* Optional: some spacing around the container */
}


@media (width <= 640px) {
  .contact-container {
    padding: 32px; 
  }
}



.contact-container h1 {
  font-size: 2.5rem;
  margin-bottom: 32px;
}

form {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.form-row {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.form-row input {
  flex: 1;
  min-width: 200px;
}

form input,
form textarea {
  width: 100%;
  padding: 16px;
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 18px;
}

form textarea {
  resize: vertical;
}

form button {
  padding: 16px;
  background-color: #0073e6;
  color: white;
  border: none;
  font-size: 18px;
  font-weight: bold;
  border-radius: 8px;
  cursor: pointer;
  transition: background 0.3s;
}

form button:hover {
  background-color: #005bb5;
}

#confirmationMsg {
  margin-top: 20px;
  font-size: 1.1rem;
  font-weight: 500;
  color: green;
}

.hidden {
  display: none;
}

.left-text {
  flex: 1;
}

.left-text p {
  margin: 0;
  font-size: 14px;
}


.social-links {
  display: flex;
  align-items: center;
  gap: 10px;
}

.social-links span {
  font-size: 16px;
}

.social-links i {
  font-size: 1.1rem;
  color: #0077b5;
  position: relative;
  bottom: 15px;
  vertical-align: bottom;
  
}

.social-links i:hover{
  color: #005582;
}
